package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsOrderStatusEnum implements BaseEnum {
    SAVE("SAVE","保存"),
    SUBMIT("SUBMIT","提交"),
    PAYED("PAYED","已支付"),
    END("END","已完成"),
    CANCEL("CANCEL","已取消"),
    EXCEPTION("EXCEPTION","订单异常"),;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
